#!/usr/bin/env python
# Tamito KAJIYAMA <18 July 2002>
# $Id: setup.py,v 1.3 2002/09/30 03:48:57 kajiyama Exp $

from distutils.core import setup, Extension

DESCRIPTION = """\
JapaneseText is a Sketch script for drawing Japanese characters.
It reads outline data directly from Japanese TrueType font files, and
generates Bezier curve objects that represent Japanese characters."""

LICENSE = "GNU General Public License (version 2 or later)"

setup (name = "JapaneseText",
       version = "1.0.4",
       description = "a Sketch script for drawing Japanese characters",
       long_description = DESCRIPTION,
       author = "Tamito KAJIYAMA",
       author_email = "RD6T-KJYM@asahi-net.or.jp",
       url = "http://www.asahi-net.or.jp/~rd6t-kjym/sketch/",
       license = LICENSE, licence = LICENSE,
       platforms = ["Sketch"],
       ext_modules = [
           Extension("freetypemodule", ["lib/freetypemodule.c"],
                     include_dirs=["/usr/include/freetype"],
                     library_dirs=["/usr/lib"],
                     libraries=["ttf"])])
